<?php

namespace EventPortal\Domain\EventDelegate\Actions;

use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Event\Models\EventDelegate;

class TransitionDelegateOnEvent
{
    public function execute(Event $event, Delegate $delegate, string $transitionType): void
    {
        $eventDelegate = EventDelegate::forEventAndDelegate($event, $delegate)->first();

        $eventDelegate->apply($transitionType);
        $eventDelegate->save();
    }
}
