<?php

namespace EventPortal\Casts;

use EventPortal\Domain\Component\Option;
use Illuminate\Contracts\Database\Eloquent\CastsInboundAttributes;

class Select implements CastsInboundAttributes
{
    /**
     * @param \Illuminate\Database\Eloquent\Model $model
     * @param string $key
     * @param mixed $value
     * @param array $attributes
     * @return string
     */
    // phpcs:disable Generic.CodeAnalysis.UnusedFunctionParameter
    // phpcs:disable SlevomatCodingStandard.TypeHints.ReturnTypeHint
    // phpcs:disable SlevomatCodingStandard.TypeHints.ParameterTypeHint
    public function set($model, $key, $value, $attributes)
    {
    // phpcs:enable
        return Option::make($value->getName())
            ->value($value->getValue())
            ->toJson();
    }
}
